package com.scpyun.platform.jilinsscgsdp.bean.vo.task;

/**
 * @Author liu
 * @Date 2024/9/10 18:45
 * @PackageName:com.scpyun.platform.jilinexchange.bean.vo
 * @ClassName: vo
 * @Description: TODO
 * @Version 1.0
 */
public class ResObsUploadRecordVo {
    /**
     * 桶名
     */
    private String bucketName;
    /**
     * 业务类型
     */
    private String businessType;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 主键
     */
    private String id;
    /**
     * 是否已删除
     */
    private String isDelete;
    /**
     * 是否需要删除
     */
    private String isNeedDelete;
    /**
     * 对象key
     */
    private String objectKey;
    /**
     * 原文件名称
     */
    private String originalName;
    /**
     * 唯一标识
     */
    private String uniUUID;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 地址
     */
    private String url;

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsNeedDelete() {
        return isNeedDelete;
    }

    public void setIsNeedDelete(String isNeedDelete) {
        this.isNeedDelete = isNeedDelete;
    }

    public String getObjectKey() {
        return objectKey;
    }

    public void setObjectKey(String objectKey) {
        this.objectKey = objectKey;
    }

    public String getOriginalName() {
        return originalName;
    }

    public void setOriginalName(String originalName) {
        this.originalName = originalName;
    }

    public String getUniUUID() {
        return uniUUID;
    }

    public void setUniUUID(String uniUUID) {
        this.uniUUID = uniUUID;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
